Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon.util
Class StringArray

    java.lang.Object
      |
      +--swing.addon.util.StringArray

public final class StringArray
extends java.lang.Object

Constructor Summary
`StringArray()`

Method Summary
`static int` | `contains(java.lang.String[] array, java.lang.String s)`
`static java.lang.String[]` | `createFromVector(java.util.Vector v)`
`static java.lang.String[]` | `parseFromString(java.lang.String s)`
`static java.lang.String[]` | `parseFromString(java.lang.String s, java.lang.String separator)`
`static void` | `print(java.lang.String[] s, java.io.PrintStream out)`
`static java.lang.String[]` | `remove(java.lang.String[] array, java.lang.String itemToRemove)` Removes the String itemToRemove from the array.
`static java.lang.String` | `toString(java.lang.String[] s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringArray

    public StringArray()

Method Detail

### contains

    public static int contains(java.lang.String[] array,
                               java.lang.String s)

### createFromVector

    public static java.lang.String[] createFromVector(java.util.Vector v)

### parseFromString

    public static java.lang.String[] parseFromString(java.lang.String s)

### parseFromString

    public static java.lang.String[] parseFromString(java.lang.String s,
                                                     java.lang.String separator)

### print

    public static void print(java.lang.String[] s,
                             java.io.PrintStream out)

### remove

    public static java.lang.String[] remove(java.lang.String[] array,
                                            java.lang.String itemToRemove)

  Removes the String itemToRemove from the array. If itemToRemove is more than once in the array, only the first will be removed.

### toString

    public static java.lang.String toString(java.lang.String[] s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD